Bug 587302 - ipvsadm-1.25 reports 0 active connections
Summary: ipvsadm-1.25 reports 0 active connections
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipvsadm   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-29 14:55 UTC by Matthias Saou
Modified: 2010-11-15 13:59 UTC (History)
2 users (show)

Fixed In Version: ipvsadm-1.25-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 13:59:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed test (715 bytes, text/plain)
2010-09-14 13:39 UTC, Jan Friesse
no flags Details

Description Matthias Saou 2010-04-29 14:55:27 UTC
I've just included a patch in the Fedora branches of ipvsadm to fix the problem reported in bug #573921. This is clearly something very useful to have fixed in RHEL!

Comment 2 RHEL Product and Program Management 2010-04-29 16:27:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jan Friesse 2010-05-03 09:10:39 UTC
Matthias,
thanks for pointing to this bug.

Patch is included in ipvsadm-1.25-6.el6.

Comment 6 Jan Friesse 2010-09-14 13:39:22 UTC
Created attachment 447221 [details]
Proposed test

Test uses steps to reproduce problem described in original BZ https://bugzilla.redhat.com/show_bug.cgi?id=587302

Comment 7 Jan Friesse 2010-09-14 13:40:43 UTC
(In reply to comment #6)
> Created attachment 447221 [details]
> Proposed test
> 
> Test uses steps to reproduce problem described in original BZ
> https://bugzilla.redhat.com/show_bug.cgi?id=587302

Sorry for typo.

Original bug is https://bugzilla.redhat.com/show_bug.cgi?id=573921.

Steps to Reproduce:
1. Create an IPVS virtual service, something along these lines:
   ipvsadm -A -t this.host.ip:80
   ipvsadm -a -t this.host.ip:80 -r other.host.ip:80 -m
   (and set up the HTTP server on other.host.ip).
2. from different host run "telnet this.host.ip 80"
3. run /sbin/ipvsadm -L

Comment 8 releng-rhel@redhat.com 2010-11-15 13:59:42 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.